/*****************
 * gNameD.h
 *
 * dialogue to get text string name, because not universally supported
 * across Zaurus OSs.
 *
 *  This file is part of Prozect.
 *  Copyright (C) 2003 Robert T. Miller
 *  
 *  Prozect is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  Prozect is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with Prozect; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *  
 ***********************/
#ifndef GNAME_H
#define GNAME_H

#include <qdialog.h>
#include <qtoolbar.h>
#include <qlineedit.h>


class getNameD : public QDialog {
  Q_OBJECT
 public:
  getNameD( QWidget * parent=0, const char * name=0, bool modal=false, WFlags f=0 );
  ~getNameD();

  QString query(const QString &title, const QString &initName);

 private:
  QToolBar *name_tb;
  QLineEdit *name_le;

 private slots:
  void handleLERtn();
};


#endif
